# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

%define name	phpLDAPAdmin
%define rname	phpldapadmin
%define version	0.9.5
%define release	1mdk
%define webadminroot /var/www/html/admin

Summary:	A web-based LDAP administration tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://phpldapadmin.sourceforge.net/
Source0:	http://ftp.etc.msys.ch/pub/sources/phpldapadmin/%{rname}-%{version}.tar.bz2
Patch0:		phpldapadmin-0.9.5-default-config.diff.bz2
License:	GPL
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	apache
Requires:	mod_php
Requires:	mod_ssl
Requires:	php-common
Requires:	php-ldap
Requires:	php-xml
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
phpLDAPAdmin is a web-based LDAP administration tool, written in
PHP. You can browse your LDAP tree, create, delete, edit, and copy
entries, perform searches, and view your server's schema. You can
even copy objects between two LDAP servers and recursively delete
or copy entire trees. All this from the comfort of your web
browser. 

On the server it is installed on, this should be accessible at
https://localhost/%(basename %webadminroot)/%{name}

%prep

%setup -q -n %{rname}
%patch0 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

%build

# recode the stuff
pushd lang
    make iconvclean
    make iconvlang
popd  

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webadminroot}/%{name}

tar c * |tar x -C %{buildroot}%{webadminroot}/%{name}

install -m0644 config.php.example %{buildroot}%{webadminroot}/%{name}/config.php
rm -f %{buildroot}%{webadminroot}/%{name}/{INSTALL,LICENSE,VERSION,config.php.example}
rm -Rf %{buildroot}%{webadminroot}/%{name}/doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%{webadminroot}/%{name}
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.php

%changelog
* Sat Jan 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- fix P0

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4b-1mdk
- 0.9.4b (seems to work with php5-5.0.1)
- fix P0
- drop the kolab patch (P1), it's included
- misc spec file fixes

* Tue Mar 23 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9.3-2mdk
- add Kolab template

* Tue Feb 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.3-1mdk
- 0.9.3
- redo default config patch

* Thu Dec 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.2-2mdk
- fix P0
- add missing dir

* Thu Dec 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.2-1mdk
- 0.9.2
- fix P0

* Tue Sep 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.1-2mdk
- Add language files (so navigation actually works ...)

* Sat Sep 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.1-1mdk
- 0.9.1
- fix P0

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-3mdk
- applied fixes by Buchan Milne:
  - Better default config (P0)
  - Require php-xml, mod_ssl, don't require apache2 (apache) or openldap-servers

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-2mdk
- rpm sux

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-1mdk
- initial cooker contrib
